Create Wikitech/LDAP accounts via a new user friendly guided workflow
Closed, ResolvedPublic

Description

Add a guided account creation workflow to Striker that addresses accidental complexities in the Wikitech UI (see T128158#2128397 for some background):

  • Describe the two separate but related usernames (Wikitech & shell)
    • Wikitech name is used in Wikitech and Gerrit; often a full name/display name including whitespace.
    • shell name is used when logging into Labs instances including Tool Labs; not displayed in any user interfaces {{cn}}
  • Pre-submission validation of unique shell name
  • Clear error messages when LDAP name and/or shell name are disallowed
  • Make it clear that a valid email address is required
  • Describe common next steps after account creation:
    • Upload of SSH key(s) for Labs/Tool Labs access
    • Upload of SSH key(s) for Gerrit ssh access
    • Request for Tool Labs access
bd808 created this task.Sep 5 2016, 5:26 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 5 2016, 5:26 AM
bd808 moved this task from Backlog to Ready on the Striker board.Sep 5 2016, 5:27 AM
bd808 claimed this task.Sep 20 2016, 4:16 PM
Restricted Application added a project: User-bd808. · View Herald TranscriptSep 20 2016, 4:16 PM
bd808 moved this task from Ready to Doing on the Striker board.Sep 20 2016, 4:16 PM
bd808 moved this task from To Do to In Dev/Progress on the User-bd808 board.
bd808 moved this task from Backlog to Doing on the Community-Tech-Tool-Labs board.

Change 313137 had a related patch set uploaded (by BryanDavis):
Allow OAuth authentication for anon users

https://gerrit.wikimedia.org/r/313137

Change 313138 had a related patch set uploaded (by BryanDavis):
Add account creation initial screen

https://gerrit.wikimedia.org/r/313138

Change 313139 had a related patch set uploaded (by BryanDavis):
Collect data needed to create a new LDAP account

https://gerrit.wikimedia.org/r/313139

Change 313140 had a related patch set uploaded (by BryanDavis):
Add check for unique sul account, username, and shell account

https://gerrit.wikimedia.org/r/313140

Change 313141 had a related patch set uploaded (by BryanDavis):
Add confirmation step to account creation wizard

https://gerrit.wikimedia.org/r/313141

Change 313142 had a related patch set uploaded (by BryanDavis):
Add client side registration form validation

https://gerrit.wikimedia.org/r/313142

Change 313143 had a related patch set uploaded (by BryanDavis):
Create LDAP and Striker users from registration form data

https://gerrit.wikimedia.org/r/313143

Change 313144 had a related patch set uploaded (by BryanDavis):
Add striker.labsauth.utils.oauth_from_session helper

https://gerrit.wikimedia.org/r/313144

Change 313146 had a related patch set uploaded (by BryanDavis):
Add a goal prompt for SSH public key upload

https://gerrit.wikimedia.org/r/313146

Change 313152 had a related patch set uploaded (by BryanDavis):
Add parsley javascript library

https://gerrit.wikimedia.org/r/313152

Mentioned in SAL (#wikimedia-labs) [2016-09-28T00:25:48Z] <bd808> Deployed changes from T144710 for testing

bd808 added a comment.Sep 28 2016, 4:35 PM

Here's what the happy path of adding a new account looks like on https://striker.wmflabs.org/:

OAuth prompt
OAuth approve
LDAP username
Shell username
Email
Password
Review & approve
Login

Change 313137 merged by jenkins-bot:
Allow OAuth authentication for anon users

https://gerrit.wikimedia.org/r/313137

Change 313138 merged by jenkins-bot:
Add account creation initial screen

https://gerrit.wikimedia.org/r/313138

Change 313139 merged by jenkins-bot:
Collect data needed to create a new LDAP account

https://gerrit.wikimedia.org/r/313139

Change 313140 merged by jenkins-bot:
Add check for unique sul account, username, and shell account

https://gerrit.wikimedia.org/r/313140

Change 313141 merged by jenkins-bot:
Add confirmation step to account creation wizard

https://gerrit.wikimedia.org/r/313141

Change 313142 merged by jenkins-bot:
Add client side registration form validation

https://gerrit.wikimedia.org/r/313142

Change 313143 merged by jenkins-bot:
Create LDAP and Striker users from registration form data

https://gerrit.wikimedia.org/r/313143

Change 313144 merged by jenkins-bot:
Add striker.labsauth.utils.oauth_from_session helper

https://gerrit.wikimedia.org/r/313144

Change 313146 merged by jenkins-bot:
Add a goal prompt for SSH public key upload

https://gerrit.wikimedia.org/r/313146

Change 313152 merged by jenkins-bot:
Add parsley javascript library

https://gerrit.wikimedia.org/r/313152

zhuyifei1999 added a subscriber: zhuyifei1999.

Change 325850 had a related patch set uploaded (by BryanDavis):
Add wheels for formtools, parsley, and mwclient

https://gerrit.wikimedia.org/r/325850

Change 325850 merged by jenkins-bot:
Add wheels for formtools, parsley, and mwclient

https://gerrit.wikimedia.org/r/325850

Mentioned in SAL (#wikimedia-labs) [2016-12-08T00:06:37Z] <bd808> Update to 82eb1c3 (T144710)

Change 325814 had a related patch set uploaded (by BryanDavis):
Bump static, striker, and wheels submodules

https://gerrit.wikimedia.org/r/325814

Change 325814 merged by jenkins-bot:
Bump static, striker, and wheels submodules

https://gerrit.wikimedia.org/r/325814

Mentioned in SAL (#wikimedia-operations) [2017-01-25T18:21:59Z] <bd808@tin> Starting deploy [striker/deploy@5aa3aa8]: Update Striker to 5aa3aa8 (T144710, T147024, T144712, T144711, T153935)

bd808 moved this task from Doing to Done on the Striker board.Mar 4 2017, 3:53 AM
Krinkle removed a project: Patch-For-Review.